### A free/open-source library for quantitative finance

Classes
ql/pricingengines/basket/mcamericanbasketengine.hpp File Reference

Least-square Monte Carlo engines. More...

`#include <ql/qldefines.hpp>`
`#include <ql/instruments/basketoption.hpp>`
`#include <ql/processes/blackscholesprocess.hpp>`
`#include <ql/processes/stochasticprocessarray.hpp>`
`#include <ql/methods/montecarlo/lsmbasissystem.hpp>`
`#include <ql/pricingengines/mclongstaffschwartzengine.hpp>`
`#include <ql/exercise.hpp>`
`#include <boost/function.hpp>`
Include dependency graph for mcamericanbasketengine.hpp:

## Classes

class | MCAmericanBasketEngine< RNG >
| least-square Monte Carlo engine More...
class | MakeMCAmericanBasketEngine< RNG >
| Monte Carlo American basket-option engine factory. More...

## Detailed Description

Least-square Monte Carlo engines.